* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Bauhaus Demi';
    src: url('./fonts/Bauhaus Demi/Bauhaus Demi.otf');
}

/* ============================================
   Header Styling and Nav bar
   ============================================ */
header {
    width: 100%;
    background-color: rgb(163, 9, 9);
    font-family: 'Bauhaus Demi', sans-serif;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    transition: transform 0.3s ease-in-out;
}

.header-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}
.logo a {
	font-size: 40px;
    color: black;
    display: flex;
    align-items: center;
    text-decoration: none;
}
.logo a:hover{
	text-decoration: none;
	color: rgb(48, 2, 2);
}

.logo img {
    margin-right: 10px;
}

#login {
    color: black;
    font-size: 20px;
    text-decoration: none;
}
#login:hover{
	color: rgb(48, 2, 2);
}
/* Header Hidden State */
.header-hidden {
    transform: translateY(-100%);
}
#bar {
    width: 100%;
    background-color: rgb(140, 0, 0);
    text-align: center;
    padding: 5px 0;
}

#bar a {
    color: black;
    font-size: 16px;
}

#bar a:hover {
    background-color: #830f0f3a;
    font-size: 19px;
}


.entities-grid {
    text-align: center;
}
 /* ============================================
   footer Styling
   ============================================ */
   footer {
    width: 100%;
	bottom: 0;
	left:0;
    text-align: center;
    padding: 10px 20px;
    position:static;
	padding-top: 10px;
	
}

/* ============================================
Entity Styling
============================================ */

.entity_description{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	max-width: 100%;
	padding: 0.5%;
}
.entities-grid
{
	text-align: center;
}

.entity-card
{	
	margin: 2%;
	padding-bottom: 1%;
	background-color: white;
	border: 5px solid maroon;
	border-radius: 5px;
	

}

 /* ============================================
   Login page Styling
   ============================================ */

button
{
	font-size: 220%;
	padding: 1% 5%;
	border: 5px solid crimson;
	border-radius: 5px;
	transition-duration: 1s;
	cursor: pointer;
}

button:hover
{
	border-color: grey;
	background-color: crimson;
}

html.login
{
	height: 100%;
}

#loginbody
{
	background-image: linear-gradient(darkred, indianred , whitesmoke);
	background-repeat: no-repeat;
	text-align: center;
	background-size: 100% 100%;
	margin-right: 5%;
	margin-left: 5%;
}

a.nodec
{
	color: black;
	position: fixed;
	top: 0;
	margin-top: 1%;
	left: 0;
	margin-left: 2%;
}

a.nodec:hover
{
	color: red;
	text-decoration: underline;
}

.logintable
{
	margin: auto;
	background-color: lightcoral;
	border: 5px solid maroon;
	border-radius: 5px;
	padding: 30px;
}

caption, a.nodec
{
	font-size: 200%;
}

label{
	font-size: 17px;
}

caption
{
	margin: auto;
}

input
{
	margin-top: 5%;
}

img.ss
{
	display: block;
	margin-right: auto;
	margin-left: auto;
}


/*Entries CSS;*/

body
{

	background-image: linear-gradient(white, whitesmoke, #f2d5d5);
    min-height: 100vh;
    padding-top: 150px;
}
main{
	max-width: 90%;
}
.entry
{
	
	margin-left: 5%;
	margin-right: 5%;
	display: flex;
	flex-direction: column;
}
nav
{
	margin-top: 4%;
	margin-right: 5%;
	margin-left: 5%;
	padding: 1%;
	background-color: white;
	border: 5px solid maroon;
	padding-right: 10px;
	border-radius: 5px;
	width: 19%;
	float: left;
	display: flex;
	flex-direction: column;
	position: sticky;
	top: 0;
}

a
{
	text-decoration: none;
	color: crimson;
}

a:hover
{
	text-decoration: underline;
	color: maroon;
}

.prevnext
{
	text-align: center;
}

.picture
{
	margin: 1%;
	border: 2px solid maroon;
	width: auto;
	height: auto;
	
	max-height: 256px;
	max-width: 256px;
}

.fanart
{
	margin: 1%;
	border: 2px solid maroon;
	width: auto;
	height: auto;
	
	max-height: 256px;
	max-width: 256px;
}


figure
{
	width: 40%;
	height: 40%;
	margin: 0px 0px 10px 0px;
	float: right;
	text-align: center;
	font-weight: bold;
}

.index
{
	font-family: monospace;
	font-size: 110%;
	color: crimson;
}

dl, dt, dd, main, a.nodec, tr, th, input, button
{
	font-family: monospace;
}

h1, h2, h3, a.nodec, p
{
	letter-spacing: 3px;
	text-align: center;
	font-family: sans-serif;
	text-shadow: 0px 2px 0px grey;
}

p, h3
{
	text-shadow: 0px 1px 0px grey;
}

dt
{
	font-weight: bold;
	font-size: 150%;
}

dd
{
	font-size: 110%;
}

.addendum
{
	padding: 2%;
	margin-left: 10%;
	margin-right: 10%;
	width: 80%;
	border: 2px dashed black;
	background-color: #f0efee;
}

/* Static Overlay Styles */
.static-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background: rgba(0, 0, 0, 0.1);
    z-index: 10;
    background: url('./images/static.gif' );
	background-size: cover;
	opacity: 0.15;
}

input[type="text"]{
	width: 90%;
	background: crimson;
	border: none;
	padding: 10px;
	font-size: 17px;
	color: #ffff;
}

input[type="password"]{
	width: 90%;
	background: crimson;
	border: none;
	padding: 10px;
	font-size: 17px;
	color: #ffff;
}

[type="submit"]{
	background-color: crimson;
	color: #ffff;
	border: none;
	border-radius: 50px;
	box-shadow: 0 0 8px crimson;
	padding: 13px 95px;
  }
/*  contact us page*/
.blocks{margin: 2%;
	padding-bottom: 1%;
	border: 5px solid maroon;
	border-radius: 5px;
  display: flex;
  width: 45%;
}

.blocks label{
 margin: 11% auto;
}
